%global srcname sqlalchemy_schemadisplay

Name:           python-%{srcname}
Version:        1.3
Release:        1%{?dist}
Summary:        Turn SQLAlchemy DB Model into a graph

License:        MIT
URL:            https://github.com/fschulze/%{srcname}
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
Turn SQLAlchemy DB Model into a graph.


%package -n python2-%{srcname}
Summary:        %{summary}
Requires:       graphviz
Requires:       python-setuptools
Requires:       python-sqlalchemy
Requires:       python-pydot
BuildRequires:  graphviz
BuildRequires:  python2-devel
BuildRequires:  python-pydot
BuildRequires:  python-setuptools
BuildRequires:  python-sqlalchemy
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Turn SQLAlchemy DB Model into a graph.

%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build


%install
%py2_install

# py.test is unavailable in EPEL 7


%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/*


%changelog
* Tue Jan 03 2017 Jeremy Cline <jeremy@jcline.org> - 1.3-1
- Initial package.
